

# ListTestCaseExecutions
<a name="API_ListTestCaseExecutions"></a>

Lists all test case executions and allows filtering by test case id, test case name, start time, end time or status of the execution for the specified Amazon Connect instance.

## Request Syntax
<a name="API_ListTestCaseExecutions_RequestSyntax"></a>

```
GET /test-case-executions/InstanceId?endTime=EndTime&maxResults=MaxResults&nextToken=NextToken&startTime=StartTime&status=Status&testCaseId=TestCaseId&testCaseName=TestCaseName HTTP/1.1
```

## URI Request Parameters
<a name="API_ListTestCaseExecutions_RequestParameters"></a>

The request uses the following URI parameters.

 ** [EndTime](#API_ListTestCaseExecutions_RequestSyntax) **   <a name="connect-ListTestCaseExecutions-request-uri-EndTime"></a>
Filter executions that started before this time.

 ** [InstanceId](#API_ListTestCaseExecutions_RequestSyntax) **   <a name="connect-ListTestCaseExecutions-request-uri-InstanceId"></a>
The identifier of the Amazon Connect instance.  
Length Constraints: Minimum length of 1. Maximum length of 100.  
Required: Yes

 ** [MaxResults](#API_ListTestCaseExecutions_RequestSyntax) **   <a name="connect-ListTestCaseExecutions-request-uri-MaxResults"></a>
The maximum number of results to return per page.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [NextToken](#API_ListTestCaseExecutions_RequestSyntax) **   <a name="connect-ListTestCaseExecutions-request-uri-NextToken"></a>
The token for the next set of results. Use the value returned in the previous response in the next request to retrieve the next set of results.

 ** [StartTime](#API_ListTestCaseExecutions_RequestSyntax) **   <a name="connect-ListTestCaseExecutions-request-uri-StartTime"></a>
Filter executions that started after this time.

 ** [Status](#API_ListTestCaseExecutions_RequestSyntax) **   <a name="connect-ListTestCaseExecutions-request-uri-Status"></a>
Filter executions by status.  
Valid Values: `INITIATED | PASSED | FAILED | IN_PROGRESS | STOPPED` 

 ** [TestCaseId](#API_ListTestCaseExecutions_RequestSyntax) **   <a name="connect-ListTestCaseExecutions-request-uri-TestCaseId"></a>
Filter executions by test case identifier.  
Length Constraints: Maximum length of 500.

 ** [TestCaseName](#API_ListTestCaseExecutions_RequestSyntax) **   <a name="connect-ListTestCaseExecutions-request-uri-TestCaseName"></a>
Filter executions by test case name.  
Length Constraints: Minimum length of 1.

## Request Body
<a name="API_ListTestCaseExecutions_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListTestCaseExecutions_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "NextToken": "string",
   "TestCaseExecutions": [ 
      { 
         "EndTime": number,
         "StartTime": number,
         "Tags": { 
            "string" : "string" 
         },
         "TestCaseExecutionId": "string",
         "TestCaseExecutionStatus": "string",
         "TestCaseId": "string"
      }
   ]
}
```

## Response Elements
<a name="API_ListTestCaseExecutions_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [NextToken](#API_ListTestCaseExecutions_ResponseSyntax) **   <a name="connect-ListTestCaseExecutions-response-NextToken"></a>
If there are additional results, this is the token for the next set of results.  
Type: String

 ** [TestCaseExecutions](#API_ListTestCaseExecutions_ResponseSyntax) **   <a name="connect-ListTestCaseExecutions-response-TestCaseExecutions"></a>
An array of test case execution summary objects.  
Type: Array of [TestCaseExecution](API_TestCaseExecution.md) objects

## Errors
<a name="API_ListTestCaseExecutions_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient permissions to perform this action.  
HTTP Status Code: 403

 ** InternalServiceException **   
Request processing failed because of an error or failure with the service.    
 ** Message **   
The message.
HTTP Status Code: 500

 ** InvalidParameterException **   
One or more of the specified parameters are not valid.    
 ** Message **   
The message about the parameters.
HTTP Status Code: 400

 ** InvalidRequestException **   
The request is not valid.    
 ** Message **   
The message about the request.  
 ** Reason **   
Reason why the request was invalid.
HTTP Status Code: 400

 ** ResourceNotFoundException **   
The specified resource was not found.    
 ** Message **   
The message about the resource.
HTTP Status Code: 404

 ** ThrottlingException **   
The throttling limit has been exceeded.  
HTTP Status Code: 429

## See Also
<a name="API_ListTestCaseExecutions_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connect-2017-08-08/ListTestCaseExecutions) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connect-2017-08-08/ListTestCaseExecutions) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connect-2017-08-08/ListTestCaseExecutions) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connect-2017-08-08/ListTestCaseExecutions) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connect-2017-08-08/ListTestCaseExecutions) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connect-2017-08-08/ListTestCaseExecutions) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connect-2017-08-08/ListTestCaseExecutions) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connect-2017-08-08/ListTestCaseExecutions) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connect-2017-08-08/ListTestCaseExecutions) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connect-2017-08-08/ListTestCaseExecutions) 